<table class="admin">
  <tr>
    <th>groupe</th>
    <th>accès</th>
    <th align="center">enlever</th>
  </tr>
  <?php foreach($this->out["source"]["groupes"] as $id_groupe => $groupe) : ?>
  <tr class="hl">
    <td>
      <?php echo $groupe["nom"]; ?>
    </td>
    <td>
      <?php echo $this->out["sources_access"][$groupe["id_groupe_status"]]["intitule"]; ?>
    </td>
    <td class="action">
    <a href="<?php echo $this->url("users/sources_invitations/del_groupe", array("id" => $this->out["source"]["id"], "groupe" => $id_groupe)) ?>"
       class="admin_link"
       title="enlever ce groupe"><img src="<?php echo $this->out_url("icons/del.gif") ?>"
       onclick="return confirm('enlever ce groupe ?')"/></a>
    </td>
  </tr>
  <?php endforeach; ?>
</table>

<?php if($this->out["invitations"]["total"] > 0) : ?>
<h3>Vous avez invité :</h3>
<table class="admin">
  <tr>
    <th>groupe</th>
    <th>accès</th>
    <th align="center">action</th>
  </tr>
  <?php foreach($this->out["invitations"]["list"] as $id_invitation => $invitation) : ?>
  <tr class="hl">
    <td>
      <?php echo $invitation["author"]["nom"]; ?>
    </td>
    <td>
      <?php echo $this->out["sources_access"][$invitation["id_sources_access"]]["intitule"]; ?>
    </td>
    <td class="action">
    <a href="<?php echo $this->url("users/sources_invitations/annule_invitation_groupe", array("id" => $id_invitation)) ?>"
       class="admin_link"
       title="annuler cette invitation"
       onclick="return confirm('annuler cette invitation ?')"/>Annuler</a>
    </td>
  </tr>
  <?php endforeach; ?>
</table>
<?php endif; ?>

<?php if($this->out["groupes"]["total"] > 0) : ?>

<h3>Inviter un groupe</h3>

<form action="<?php echo $this->url("users/sources_invitations/invite_groupe", array("id" => $this->out["source"]["id"])) ?>" method="post">
  <fieldset>
    <ul class="form">
      <li>
        <label for="id_groupe">Inviter</label>
        <div class="form_input">
          <select name="id_groupe" id="id_groupe">
            <?php foreach($this->out["groupes"]["list"] as $id_groupe => $groupe) : ?>
            <option value="<?php echo $id_groupe ?>"><?php echo $groupe["nom"] ?></option>
            <?php endforeach; ?>
          </select>
        </div>
      </li>
      <li>
        <label for="source_access_<?php echo $id_groupe; ?>">A particper à</label>
        <div class="form_input">
          <strong><?php echo $this->out["source"]["titre"]; ?></strong>
        </div>
      </li>
      <li>
        <label for="source_access_<?php echo $id_groupe; ?>">En tant que</label>
        <div class="form_input">
          <select name="id_sources_access" id="id_sources_access">
          <?php foreach($this->out["sources_access"] as $id_sources_access => $sources_access) : ?>
            <option value="<?php echo $id_sources_access ?>"><?php echo $sources_access["intitule"] ?></option>
          <?php endforeach; ?>
          </select>
        </div>
      </li>  
      <li class="buttons">
        <div class="form_buttons">
          <input type="submit" value="Inviter" />
        </div>
      </li>  
    </ul>
  </fieldset>
</form>

<?php endif; ?>
